테이블 그룹 목록 조회

필요 권한

사용자 이상의 계정으로 이용할 수 있습니다.

HTTP 요청

GET /api/sonar/table-groups
cURL 예시
curl -H "Authorization: Bearer <API_KEY>" \
     "https://HOSTNAME/api/sonar/table-groups"
요청 매개변수
필수타입설명비고
offsetX32비트 정수건너뛸 갯수기본값: 0
limitX32비트 정수최대 갯수기본값: 무제한

정상 응답

{
  "total_count": 1,
  "table_groups": [
    {
      "guid": "b1a2c3d4-e5f6-7890-ab12-cdef34567890",
      "name": "name",
      "description": "description",
      "parent_guid": "f7e8d9c0-1234-4abc-9def-567890abcdef",
      "created": "2024-12-18 20:53:51+0900",
      "updated": "2024-12-18 20:54:15+0900"
    }
  ]
}
  • total_count (32비트 정수): 검색 조건과 일치하는 전체 건수
  • table_groups (배열): 테이블 그룹 목록
    • guid (문자열): 테이블 그룹 식별자
    • parent_guid (문자열): 부모 테이블 그룹 식별자
    • name (문자열): 테이블 그룹 이름
    • description (문자열): 테이블 그룹 정의
    • created (문자열): 생성일시 (yyyy-MM-dd HH:mm:ssZ 형식)
    • updated (문자열): 수정일시 (yyyy-MM-dd HH:mm:ssZ 형식)

오류 응답

offset 값이 정수가 아닌 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-argument",
  "error_msg": "'offset' parameter should be int type"
}
offset 값이 음수인 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-argument",
  "error_msg": "'offset' must be greater than or equal to 0."
}
offset 값이 최대값을 초과하는 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-argument",
  "error_msg": "'offset' must be less than or equal to 2147483647."
}
limit 값이 정수가 아닌 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-argument",
  "error_msg": "'limit' parameter should be int type"
}
limit 값이 음수인 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-argument",
  "error_msg": "'limit' must be greater than or equal to 0."
}
limit 값이 최대값을 초과하는 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-argument",
  "error_msg": "'limit' must be less than or equal to 2147483647."
}
권한이 없는 경우

HTTP 상태 코드 500 응답

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}